// memdlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMemGotoDlg dialog

class CMemGotoDlg : public CDialog
{
// Construction
public:
	CMemGotoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMemGotoDlg)
	enum { IDD = IDD_MEM_GOTO };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Implementation   
public:
    void   SetAddress();
private:
    CTEdit   *m_AddressText; 
    CTButton *m_BtnOk;
    UINT     m_uFocus;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CMemGotoDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CMemSearchDlg dialog

class CMemSearchDlg : public CDialog
{
// Construction
public:
	CMemSearchDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMemSearchDlg)
	enum { IDD = IDD_MEM_SEARCH };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

void SearchItem();
private:
    CTEdit   *m_SearchText; 
    CTButton *m_BtnOk;
    UINT     m_uFocus;
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CMemSearchDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CMemAsmDlg dialog

class CMemAsmDlg : public CDialog
{
// Construction
public:
	CMemAsmDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMemAsmDlg)
	enum { IDD = IDD_DSMEDIT2 };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA
	
void ModifyCode();                 
private:
   CTEdit   *m_pAsm;
   CTButton *m_pAcept;
   CTButton *m_pOk;   
   UINT     m_uFocus;
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CMemAsmDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CMemDlg dialog

class CMemDlg : public CDialog
{
// Construction
public:
	CMemDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMemDlg)
	enum { IDD = IDD_MEMDLG };
	//}}AFX_DATA
private:
    int        m_activeTab;  
    CBitmap    m_Bitmap;
    UINT       m_uFocus;
    
    CTEdit     *m_pStartAddress;
    CTEdit     *m_pEndAdr;
    CTComboBox *m_pEndAdress;
    CTButton   *m_pChecksum;

    CTEdit     *m_pCStartAdr;
    CTEdit     *m_pCEndAdr;
    CTEdit     *m_pCScendAdr;
    CTComboBox *m_pCSelAdr;
    CTButton   *m_pCompare;
                   
    CTEdit     *m_pCopStartAdr;
    CTEdit     *m_pCopEndAdr;
    CTEdit     *m_pCopDesAdr;
    CTComboBox *m_pCopSelAdr;
    CTButton   *m_pCopy;
                   
    CTEdit     *m_pFStartAdr;
    CTEdit     *m_pFEndAdr;
    CTEdit     *m_pFDesAdr;
    CTComboBox *m_pFSelAdr;
    CTButton   *m_pFill;

    CTEdit     *m_pSStartAdr;
    CTEdit     *m_pSEndAdr;
    CTEdit     *m_pSScendAdr;
    CTComboBox *m_pSSelAdr;
    CTButton   *m_pSearch;

    CTEdit     *m_pTStartAddress;
    CTEdit     *m_pTEndAdr;
    CTComboBox *m_pTEndAdress;
    CTButton   *m_pTest;
    
private:             
    void DeleteItem();
    void InitItem();
    
    
    void ShowChecksumDlg(int);
    void ShowCompareDlg(int);
    void ShowCopyDlg(int);
    void ShowFillDlg(int);
    void ShowSearchDlg(int);
    void ShowTestDlg(int);
public:
    void SetTab(int nTabToActivate);
    void Checksum();        
    void Compare();           
    void Copy();       
    void Fill();
    void Search();
    void Test();
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CMemDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOk();
	afx_msg void OnNcLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
